---
lang: en
title: 'API docs: cron.croncomponent._constructor_'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/extensions/cron
permalink: /doc/en/lb4/apidocs.cron.croncomponent._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/cron](./cron.md) &gt; [CronComponent](./cron.croncomponent.md) &gt; [(constructor)](./cron.croncomponent._constructor_.md)

## CronComponent.(constructor)

Constructs a new instance of the `CronComponent` class

<b>Signature:</b>

```typescript
constructor(getJobs: Getter<CronJob[]>);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  getJobs | <code>Getter&lt;CronJob[]&gt;</code> |  |


